Subject: bug#23704: 25.1.50; Emacs crash in syntax.c

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jun 2016 21:45:54 +0300

> From: [email-masked] (Vincent Belaïche)
> Cc: Vincent Belaïche <[email-masked]> 
> Date: Mon, 06 Jun 2016 18:14:18 +0200
> 
> (gdb) p PT_ADDR
> $1 = (unsigned char *) 0x521073e " long as we don't have any longer the \\NEWLINE the problem is solved. So it could be:\n\n\n\n--8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----\n  in_input_funnies=`echo \"$in_input\" \\\n  "...
> (gdb)  p GPT_ADDR
> $2 = (unsigned char *) 0x5210677 ""
> (gdb) p GPT
> $3 = 1651

Not exactly what I expected, which might mean my theory about the
crash reasons is incorrect (although the code is still unsafe).
Hmm...

> The PT_ADDR seems to be pointing at the content of an email that I was
> editing when the crash occurred --- fortunately nothing confidential
> -)), some discussion in Texinfo bug mailing list, concerning support for
> spaces in filenames. If you are interested the thread is titled:
> 
>    REVIEW REQUEST - user manual generation
> 
> I have also attached a screen capture of crashed Emacs, that may help
> you see what the content of the edited buffer was when the crash
> occurred. It seems that the crash occurred while I was editing the
> sentence « So it could be: ... ».

PT_ADDR is the address of point in buffer text, so you were editing
the sentence where it points, i.e. the sentence before that.